Latest RHEL 5.4 Patches Downgrade QLA2XXX Drivers? (199 Views)
Reply
Honored Contributor
Alzhy
Posts: 4,373
Registered: ‎01-22-2002
Message 1 of 4 (199 Views)
Accepted Solution

Latest RHEL 5.4 Patches Downgrade QLA2XXX Drivers?

A base RHEL 5.4 Installation was patched via RHN Update. All errata, bug fixes and enhancements were applied. After the patch application, our FC-HBAs can't be seen anymore. Our /etc/modprobe.conf has the following:

options qla2xxx ql2xenablemsi=1 ql2xenablezio=1 ql2xintrdelaytimer=1 ql2xmaxqdepth=96 ql2xfailover=0

Only by removing the above and rebooting the system makes the FC-HBAs re-appear again.

A check on the FC-HBA driver showed:

# modinfo qla2xxx|grep -i version
version: 8.03.00.1.05.05-k
srcversion: 07376E329F57943AB156861

BUT prior to the patching, the version was:

# modinfo qla2xxx|grep -i version
version: 8.03.00.10.05.04-k
srcversion: AC7B23750E4AA3A4A2E581C

Does this mean the latest patches/lernel updates, etc downgraded the FC-HBA Driver? Note the above pre-patching FC-HBA driver is the driver that came with the base RHEL 5.4 release and not an add on driver.

So is this really the case that the latest RHEL 5.4 kernel/updates/etc indeed downgraded the FC-HBA driver for QLA2XXX HBAs? What about my qla2xxx options?
Hakuna Matata.
Please use plain text.
Honored Contributor
Ivan Ferreira
Posts: 6,957
Registered: ‎05-07-2004
Message 2 of 4 (199 Views)

Re: Latest RHEL 5.4 Patches Downgrade QLA2XXX Drivers?

If i'm correct, the driver version is newer.

8.03.00.1 vs 8.03.00.10

Modinfo should give you the valid options. Check dmesg/messages or run modprove -v/insmod -v to diagnose the problem.
Por que hacerlo dificil si es posible hacerlo facil? - Why do it the hard way, when you can do it the easy way?
Please use plain text.
Honored Contributor
Alzhy
Posts: 4,373
Registered: ‎01-22-2002
Message 3 of 4 (199 Views)

Re: Latest RHEL 5.4 Patches Downgrade QLA2XXX Drivers?

Hmm:

New DRV is: version: 8.03.00.1.05.05-k
Old DRV is: version: 8.03.00.10.05.04-k

Are you saying .10 is less than .1 ? and the missin "0" on the new driver is just a typo?

And the kernel module params are now "obsolete"? That there is now no way to control failover, timeouts, and the Queue Depth settings?
Hakuna Matata.
Please use plain text.
Exalted Contributor
Steven E. Protter
Posts: 33,806
Registered: ‎08-15-2002
Message 4 of 4 (199 Views)

Re: Latest RHEL 5.4 Patches Downgrade QLA2XXX Drivers?

Shalom,

Interestingly enough on HP DL class systems, I did not get full HBA functionality until completing installation of HP's PSP suite.

There may be a way around this and should be, but PSP brings so many benefits, thats how I solved the problem.

SEP
Steven E Protter
Owner of ISN Corporation
http://isnamerica.com
http://hpuxconsulting.com
Sponsor: http://hpux.ws
Twitter: http://twitter.com/hpuxlinux
Founder http://newdatacloud.com
Please use plain text.
The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation